Share via


Snapshots - List All

Lists all of the snapshots in the specified subscription. Use the nextLink property in the response to get the next page of snapshots.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.AzureStackHCI/snapshots?api-version=2026-04-01-preview

URI Parameters

Name In Required Type Description
subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SnapshotListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List all snapshots in a subscription

Sample request

GET https://management.azure.com/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/providers/Microsoft.AzureStackHCI/snapshots?api-version=2026-04-01-preview

Sample response

{
  "value": [
    {
      "name": "test-snapshot-1",
      "type": "Microsoft.AzureStackHCI/snapshots",
      "extendedLocation": {
        "name": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/dogfoodarc/providers/Microsoft.ExtendedLocation/customLocations/dogfood-location",
        "type": "CustomLocation"
      },
      "id": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/snapshots/test-snapshot-1",
      "location": "West US2",
      "tags": {
        "environment": "test"
      },
      "properties": {
        "creationData": {
          "createOption": "Copy",
          "sourceResourceId": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/virtualHardDisks/source-vhd",
          "sourceUniqueId": "b99c94ca-e43d-4282-9c78-84d58e5ce81a"
        },
        "provisioningState": "Succeeded",
        "timeCreated": "2023-11-15T10:30:00Z",
        "diskSizeBytes": 68719476736,
        "uniqueId": "f9e8d7c6-b5a4-9382-7160-5948372615a3",
        "status": {
          "provisioningStatus": {
            "status": "Succeeded"
          }
        }
      }
    },
    {
      "name": "test-snapshot-2",
      "type": "Microsoft.AzureStackHCI/snapshots",
      "extendedLocation": {
        "name": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/dogfoodarc/providers/Microsoft.ExtendedLocation/customLocations/dogfood-location",
        "type": "CustomLocation"
      },
      "id": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/other-rg/providers/Microsoft.AzureStackHCI/snapshots/test-snapshot-2",
      "location": "East US",
      "properties": {
        "creationData": {
          "createOption": "Copy",
          "sourceResourceId": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/other-rg/providers/Microsoft.AzureStackHCI/virtualHardDisks/another-vhd",
          "sourceUniqueId": "c11a94ca-e43d-4282-9c78-84d58e5ce81b"
        },
        "provisioningState": "Succeeded",
        "timeCreated": "2023-11-16T08:30:00Z",
        "diskSizeBytes": 137438953472,
        "uniqueId": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
        "status": {
          "provisioningStatus": {
            "status": "Succeeded"
          }
        }
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

CreationData

Data used when creating a disk or snapshot

DiskCreateOption

Disk creation option values [Copy, Empty]

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocation

The complex type of the extended location.

ExtendedLocationTypes

The type of extendedLocation.

ProvisioningStateEnum

Provisioning state of the resource.

Snapshot

The snapshot resource definition.

SnapshotListResult

The response of a Snapshot list operation.

SnapshotProperties

Properties under the snapshot resource

SnapshotStatus

The observed state of snapshots

SnapshotStatusProvisioningStatus

Snapshot Status provisioning status

Status

The status of the operation performed on the resource [Succeeded, Failed, InProgress]

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CreationData

Data used when creating a disk or snapshot

Name Type Description
createOption

DiskCreateOption

This enumerates the possible sources of a disk's creation

sourceResourceId

string (arm-id)

ARM ID of the source resource used for disk creation. Required when createOption is Copy

sourceUniqueId

string

Unique ID of the source resource used for disk creation. Read-only and not required for disk creation.

DiskCreateOption

Disk creation option values [Copy, Empty]

Value Description
Copy

Create a disk by copying from a source resource

Empty

Create an empty disk

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocation

The complex type of the extended location.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationTypes

The type of the extended location.

ExtendedLocationTypes

The type of extendedLocation.

Value Description
CustomLocation

Custom extended location type

ProvisioningStateEnum

Provisioning state of the resource.

Value Description
Succeeded

Provisioning has succeeded

Failed

Provisioning has failed

InProgress

Provisioning is in progress

Accepted

Provisioning has been accepted

Deleting

Deletion of the resource is in progress

Canceled

Provisioning has been canceled

Snapshot

The snapshot resource definition.

Name Type Description
extendedLocation

ExtendedLocation

The extendedLocation of the resource.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

SnapshotProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SnapshotListResult

The response of a Snapshot list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

Snapshot[]

The Snapshot items on this page

SnapshotProperties

Properties under the snapshot resource

Name Type Description
creationData

CreationData

Data used when creating a snapshot

diskSizeBytes

integer (int64)

The size of the disk in bytes.

provisioningState

ProvisioningStateEnum

Provisioning state of the snapshot.

status

SnapshotStatus

The observed state of snapshots

timeCreated

string (date-time)

The time when the snapshot was created.

uniqueId

string

Unique identifier for the snapshot.

SnapshotStatus

The observed state of snapshots

Name Type Description
errorCode

string

Snapshot provisioning error code

errorMessage

string

Descriptive error message

provisioningStatus

SnapshotStatusProvisioningStatus

Provisioning status of the snapshot

SnapshotStatusProvisioningStatus

Snapshot Status provisioning status

Name Type Description
operationId

string

The ID of the operation performed on the snapshot

status

Status

The status of the operation performed on the snapshot [Succeeded, Failed, InProgress]

Status

The status of the operation performed on the resource [Succeeded, Failed, InProgress]

Value Description
Succeeded

Operation succeeded

Failed

Operation failed

InProgress

Operation is in progress

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.